URL structure
Supported methods and overview
GET- used to retrieve the cryptographic key required to decrypt the read-only view of a Secure Object, based on the Secure Object’s ID.
This method takes no parameters.
Detailed description
This API endpoint retrieves the cryptographic key required to decrypt the read-only view of a Secure Object, using the Secure Object’s ID. This key is generated after uploading a Secure Object’s data to storage and both of the following criteria have been met:- The Secure Object’s file name (i.e. its name value) contains an extension which is supported by Safe Share’s content viewer.
- The size of the file in its unencrypted form (i.e. its contentSize value) is less than the default of 20,000,000 bytes.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide) and conditions:- Originator - a Covata user with this role can call this endpoint on a Secure Object they own.
- Originator, Collaborator and Ad hoc - a Covata user with any of these roles can call this endpoint for a Secure Object they are a collaborator on.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
A JSON-formatted response containing the following members:- keyValue - .
- cryptographicAlgorithm - .
- keyLength - .
-
initializationVector - .
Example:

